Objectives

Table of Contents

Objectives 2

Introduction 3

1. Login: 4

1.1 Operator on board process 5

1.2 How to Login into the Application 9

2. ENROLLMENT 12

2.1 Retrieval of Demographic data- By (wna NIK) 12

2.2 Retrieval of Demographic data- By (wni nik) 17

2.3 Photograph Capture 20

2.4 Signature Capture 23

2.5 Fingerprint Capture 25

2.6 IRIS Capture 28

2.7 Review 31

2.8 Enrollment verify 31

2.9 Acceptance Signature 33

2.10 Operator Verification 34

2.11 Scanning the documents 37

3. Delete NIK: 38

4. Reports: 41

5. Settings: 42

6. Utilities: 42

7. FAQ: 43

Objectives

 Get an overview of BEnroller Software

 Understand the process of enrollment station registration

 Understand the process of creation of operators and on-board process

 Understand steps for enrolment related to BEnroller Software

 Understand various form fields related to demographic data

 Work with demographic data capturing process in the Application

 Work with biometric data capturing process in the Application

Introduction

The national electronic ID project is a multi-biometric Identity management platform to capture, process, create, search and compare biometric data using face, fingerprint, and iris biometric modes individually and in combination. This project is implemented in the national Data Center of the Directorate General of Population Administration, 497 districts (Kabupaten), and 6,476 sub districts (Kecamatan). The enrollment of bio data, fingerprint, iris, photo and signature is conducted at each sub district (Kecamatan) which is connected to the national network.

Each sub district is equipped with 2 sets of enrollment stations. There is no matching operation that is performed in sub districts. Enrollment data in sub districts are stored in local database and sent to the national Data Center for fingerprint encoding and identification. Enrollment in sub districts can be done online or offline with respect to the connection to the national Data Center. Enrollment data may be sent to the Data Center in real time through online connection or sent asynchronously in batches when the network is available.

Results of fingerprint identification are returned from the national Data Center to the sub districts (Kecamatan) by the next day. After successful identification at the national Data Center, electronic ID cards are printed centrally in identity manufacturing plants and then distributed to the corresponding sub districts where enrollments took place. Finger-print verification is performed prior to issuing electronic ID (e-KTP) to e-KTP recipients.

System Overview

IDMS solution is a distributed system which is modular, highly flexible and scalable with plug and play architecture and can be easily deployed on any large-scale systems. It provides great flexibility in the form of using any Biometric SDK/Search Engine/Biometric Capture devices.

The solution

 Is scalable both horizontally and vertically without any down time

 Meets the expected throughput requirements with the existing hardware

 Has the Ease of system monitoring and repair

 Has no single point of failure

 Has Absolute zero transaction loss

 Can be easily upgraded

The System uses a Queue Framework as a communications paradigm for all internal operations. The requests and responses on the queue can be in the form of NIST files or can be simple messages. It is also possible for the external clients to directly communicate with the system using these Message Queues for all Biometric operations. These message queues are also fully redundant and scalable. These can be configured in a Master/slave scenario for no single point of failure.

The BEnroller client is .net based which performs

i. Retrieval of demographic data from the SIAK database and validating the retrieved data.

ii. Capture Face, Finger prints (flat), Iris Images using Biometric capture device.

iii. Provide Facial extraction and Image enhancement using any Biometric SDK.

iv. Segment the captured Slaps and do sequence check and quality analysis using any Biometric SDK.

v. Provide Iris Segmentation and Quality analysis using any Biometric SDK.

vi. Store that capture Biometric data locally for de-dup verification.

vii. Provide Localization support, printing capability.

viii. Export all the capture data into a standard NIST file and submit to the Workflow Engine for de-duplication or saved locally.

ix. Resubmit and review the transactions.

x. Issuance card that are shipped from the central card management system.

BEnroller

The Local site comprises of 1 Server and 2 Client machines for enrollments. Each Client machine consists of client applications (i.e., BEnroller) to enroll the civilians. The server will contain

 SIAK database for demographic data

 IDMS for storing the demographics and biometrics data

 Export/Import Application that can import and export the enrollments data to and from IDMS for offline and upload location flexibility

 Java Daemon to push enrollment data to the central MQ

1. Login:

Please make sure that valid dellica License.licx file exists at following location “C:\Program Files\Biomorf\BEnroller\bin” before launching BEnroller application

After Successful installation, click on the blue shortcut icon “BEnroller” application on the desktop,

User will be displayed with a Login screen

1.1 Operator on board process

Once the operator is created, on the first log-in into the application, the operator should be prompted to register all his 10 fingerprints (4, 4, 2), 2 Iris, Face & NIK. Once registration done then all 10 fingers templates, 2 Iris templates, Face template & NIK will get stored in local DB.

For existing operators who’s Iris & Face not registered in to the DB then application will prompt for “Operator Onboard Process”. Once all biometrics Iris, Fingerprint & NIK captured and submitted successfully then application will redirect to Home screen.

Below are the steps to do operator on board process

Step1: Now login with the credentials of the operator created.

Step 2: By clicking on Login button the Operator Onboard Process window will open

Step 3: Click on Start capture and capture the iris with Iris scanners

Step 4: Click on Next, Finger Capture page will open

Step 5: Click on Start Capture and Capture the Fingerprints of the operator using the Fingerprint reader

Step 6: Click on Next, Photo capture will display

Step 7: The photograph of the Operator is captured using Canon Rebel camera. The captured photograph image along with the photograph image template is generated should be stored in the database.

Step 8: Click on Next and Enter the Operator NIK and click on submit

Step 9: Operator Biometrics will be saved and the following message will be displayed.

1.2 How to Login into the Application

Step 1: Double click on the blue icon “BEnroller” application on the desktop,

Step 2: Welcome screen will be displayed with status of database connection and the services as shown below.

Once all the checks are done user will be displayed with login screen.

Step 3: Enter the User login details- Login Id and Password provided by the Administrator (Owner of the application)

Step 4: Click on Login Button.

Step 5: User successfully logs into the application.

If Invalid Username / Password entered, application prompts user a message dialog box as follows

2. ENROLLMENT

2.1 Retrieval of Demographic data- By (wna NIK)

WNA NIK:

Upon ensuring that there is no existing enrollment record for the specified NIK, the application will retrieve the demographic data from SIAK database and display on the screen.

Step 1: Click on DEMOGRAPHIC DATA Tab. Enter the WNA NIK and click GO .

Step 2: If Entered NIK is Invalid, the following message is displayed.

“The NIK is in inactive status”

Step 3: If immigration documents not present for the particular, then it show the message like : “IMMIGRATION DOCUMENTS REQUIRED”.

Step 4: If Entered NIK is Valid, User needs to enter “Security Challenge Question” - Enter Year of Birth. And Click On Validate Now Button.

● Note: If the Age of Civilian <16 Years and is not married, demographic data is not displayed.

● If the Age of Civilian >=16 Years and Age of Civilian >=14 Years (Married/Widow/Divorced) demographic acceptance is done.

Step 5: Successfully fetched the WNI demographics details for the Given NIK.

Step 6: Click on Biometric Exception Button the following window is displayed so that operator can indicate the missing fingers, hands or IRIS. On indication of the biometric exception the evidence is captured as a proof.

Step 7: Tick mark respective biometric exceptions.

Step 8: Capture Biometric Exception Proof Photo. Here application will check for detection

2.2 Retrieval of Demographic data- By (wni nik)

WNI NIK:

Upon ensuring that there is no existing enrollment record for the specified NIK, the application will retrieve the demographic data from SIAK database and display on the screen.

Step 1: Click on DEMOGRAPHIC DATA Tab.

Step 2: Enter NIK and Click on Go Button. If Entered NIK is Invalid, the following message is displayed.

Step 3: If Entered NIK is Valid, User needs to enter “Security Challenge Question” - Enter Year of Birth. And Click On Validate Now Button.

● Note: If the Age of Civilian <16 Years and is not married, demographic data is not displayed.

● If the Age of Civilian >=16 Years and Age of Civilian >=14 Years (Married/Widow/Divorced) demographic acceptance is done.

Step 5: If Answer is correct - based on the NIK (National identification key) the demographic data is retrieved from the SIAK database and is displayed on the below screen.

Step 6: Click on Biometric Exception Button the following window is displayed so that operator can indicate the missing fingers, hands or IRIS. On indication of the biometric exception the evidence is captured as a proof.

Step 5: Tick mark respective biometric exceptions.

Step 6: Capture Biometric Exception Proof Photo. Here application will check for detection

2.3 Photograph Capture

Using this option, the photograph of the civilian is captured using Canon Rebel camera. The captured photograph image along with the photograph image template is generated should be stored in the database.

Background should be Mandatory to capture Civilian Photo. For ‘Even Date Of Birth’ background should be in Blue color and for ‘Odd Date Of Birth’ background color should be in Red color

Step 1: Click on Enrollment>>PHOTOGRAPH Tab. Main screen appears a1s below.

Step 2: Look at the camera for photograph capture and once the image is good enough, click on Start Capture Button to capture the image. Quality score can be observed on the R.H.S.

Step 3: If the focus is bad the following message will be displayed. Click Yes to recapture and click No to ignore.

Step 4: Quality parameters can be observed as follows.

Step5: If the quality of the picture is not up to the mark the following message appears "Bad quality, Please try again

Step 7: If the Year of Birth of the person is even then the background should be blue. If this condition fails the following message appears.

Step 8: If the Year of Birth of the person is odd then the background should be red. If this condition fails the following message appears.

Step 9: The captured photograph image along with the photograph image template and it will be stored in the database

Note: If the eyes are not found by the system automatically, the operator should manually adjust the Eye position and the application will automatically crop the face image to meet the standard. . Maximum 4 photographs are captured to choose best of them.

2.4 Signature Capture

Using this option, the Individual’s signature of the civilian is captured. If the civilian is illiterate, two parallel horizontal lines will be drawn. If the civilian is physical challenged to sign (as indicated in Biometric Exceptions), a checkbox option highlighted to make single horizontal line appear as signature.

Step 1: Click on Enrollment>>SIGNATURE CAPTURE Tab.

Step 2: If the civilian is physical challenged to sign, tick mark the option- No Signature. A Single horizontal line will appear as signature as follows:

Step 3: Capture the Signature on signature pad

Step 4: Click on Accept Button.

2.5 Fingerprint Capture

Agile TP or Green Bit can used in-order to capture the ten fingerprints. A utility is provided to indicate if any of fingers to be captured are amputated. Enrollment of the fingers will be in the sequence of right hand four fingers, left hand four fingers and then the two thumbs.

Step 1: Click on Enrollment>>Fingerprint Tab.

Step 2: Click on Start Capture Button

Step 3: First Place the right hand four fingers on the fingerprint scanner.

Figure: Enrollment of Finger print right hand

Step 4: Place the left hand four fingers on the fingerprint scanner.

Figure: Enrollment of Fingerprint left hand

Step 5: Place two thumbs.

Step 6: The Agile TP scanners will provide the live of the fingerprint capture and will stop once the fingerprint reader ascertains that the quality image is captured.

Step 7: The final images of the 10 fingerprint are processed through the SDK foundation library in-order to check the quality of the images captured.

Step 9: The ten fingerprint images are processed using the L1 SDK foundation library to generate fingerprint templates and are then stored in the database.

2.6 IRIS Capture

The mobile eyes L1 or CMI Tech IRIS devices are used to capture both the iris at the same time.

Step 1: Click on IRIS Capture Tab.

Please Remove your contacts lens or glasses if any

Step 2: The Mobile Eyes device will provide the live video of the IRIS capture and will stop once the software ascertains that the quality image is captured.

Right Eye IRIS and Left Eye IRIS are captured.

Step 4: The final image of the IRIS capture is processed through the SDK foundation library in-order to check the quality of the images captured.

Step 5: The captured IRIS images along with the IRIS templates generated using the L1 SDK foundation library should be stored in the database.

Step 6: If the quality of the iris image captured is below the parameterized threshold value a red border will be displayed around the captured iris image until the frame captured quality is equal to or above the parameterized threshold value

2.7 Review

In this section, a preview of entire enrollment (Demographics, Photo, Fingerprint, IRIS) will be displayed for operator review.

Step 1: Choose Review Tab.

Step 2: A preview of entire enrollment (Demographics, Photo, Fingerprint, IRIS) will be displayed as follows:

2.8 Enrollment verify

The operator can choose the fingerprints to be verified and get the civilian to verify. The choosing of fingerprint to be verified will be restricted to only two fingers, priority being the index fingers followed by the thumbs. During verification the captured fingerprint will be verified against the fingerprint images previously captured during enrollment of fingerprints

Step 1: Click on Enrollment Verify Button.

Step 2: The choosing of fingerprint to be verified will be restricted to only two fingers, priority being the index fingers followed middle fingers and by the thumbs.

Step 3: Click on Start Capture Button.

Step 4: If there is no exception is raised while enrollment, application prompts to place Right hand Index finger.

Step 5: The captured fingerprint will be verified against the fingerprint images previously captured during enrollment of fingerprints.

Step 6: If the verification is successful, a message box is displayed stating, “Finger Verified successfully”.

Step 7: Application prompts to place Left hand Index finger.

Step 8: Verification of fingerprints will be saved in the smart card.

Step 9: If the verification failed, a message box is displayed stating, “Finger Verified failed”.

2.9 Acceptance Signature

Upon verification, the application should provide the ability for civilian to sign and confirm his acceptance.

Step 1: Click on Acceptance Signature Button

Step 2: An Acknowledge Receipt stating that the “particular civilian have reviewed the enrolled data and accept the data to be submitted “is displayed as follows:

Step 3: Click on Start Capture Button to capture the Signature of that particular civilian.

Step 4: Click on Accept Button

2.10Operator Verification

During enrollment submission by default operator verification will be done with Iris, upon Iris verification success, Operator can submit the enrollment. If Iris verification failed up to 4 attempts then fingerprint verification process will get enabled, operator has to do Fingerprint verification with anyone of his fingerprint, upon Fingerprint verification success operator can submit the enrollment

Step 1: Click on Operator Verify Button.

Step 2: Click on Start Capture Button. Operator will provide his/her Iris for authentication. Upon successful authenticity, message box is displayed stating, “Operator Verified successfully”.

Step 3: If the iris authenticity fails, message box is displayed stating, “Operator Verified Fail”/ ”Verifikasi Operator gagal”.

Here Operator can try iris authenticity for 4 attempts, If the 4 attempts fails then the application will directly open Operator Finger Print verification

Step 4: Click on Start Capture Button. Operator will provide his/her fingerprint for authentication.

Step 5: Upon successful authenticity, message box is displayed stating, “Operator Verified successfully”.

Step 6: Click on Submit Button.

Step 7: Operator is given a facility to provide his fingerprint in around 360 degrees as shown below.

Step 8: The enrolled data will be stored in the IDMS database for further process and message is displayed stating, “Enrollment details are submitted successfully”.

2.11Scanning the documents

Step 1: Navigate to scanner tab. Click Start Scan.

Step 2: Connect the Twain Scanner or HP Scanner Click Scan.

Step 3: The transferring process can be observed.

Step 4: Scanned document is displayed as below.

Step 5: Click Save Document and save the scanned document.

3. Delete NIK:

Step 1: Navigate to Delete NIK tab.

Step 2: Provide the NIK and Authentication Code as shown below. Click on Go button.

Step3: Details of the NIK are retrieved as follows. Click Delete NIK. Click Yes to confirm the request.

Step 4: Operator has to be verified to delete the NIK using with Iris & Fingerprints.

Step 5: Click on Start Capture Button. Operator will provide his/her Iris for authentication. Upon successful authenticity, message box is displayed stating, “Operator Verified successfully”.

Step 6: If the iris authenticity fails, message box is displayed stating, “Operator Verified Fail”/ ”Verifikasi Operator gagal”.

Here Operator can try iris authenticity for 4 attempts, If the 4 attempts fails then the application will directly open Operator Finger Print verification

Step 7: Click on Start Capture Button. Operator will provide his/her fingerprint for authentication.

Step 8: Message will be displayed as “Operator Verified Successfully”.

Step 9: Message will be displayed as “NIK has been deleted from Local Server”.

4. Reports:

Step 1: Navigate to Reports tab.

Step 2: Click “NIK Status Report”. All the BIO_CAPTURED status enrollments can be viewed here. Sorting can also be done on the selected field as below.

Step 3: Click “Operator Summary” to view the enrollments done by the particular operator

Step 4: Click “Enrollment Status Report” to know the status of the enrollments in different stage.

5. Settings:

Step 1: Click on “Settings” tab.

Step 2: Select the language and click “Change Language”. The application can be viewed in desired language.

6. Utilities:

Step 1: Navigate to Utilities tab.

Step2: Click “Change Password” and provide the required credentials and click Submit.

Step 3: Click Yes to confirm the request and the message will be displayed as follows.

7. FAQ:

Step 1: To navigate to FAQ screen operator has to press F1 (Help) button on keyboard then FAQ browser will open containing contents.